import { CommitNode, BranchPathType, Commit } from "./types";
export declare const defaultStyle: {
    commitSpacing: number;
    branchSpacing: number;
    nodeRadius: number;
    branchColors: string[];
};
export declare function formatCommits(commits: Commit[]): CommitNode[];
export declare function convertColorToMatrixVariant(color: string): string;
export declare function setCommitNodeColor(branch: BranchPathType, columnNumber: number, commitsMap: Map<string, CommitNode>, branchColor: string): void;
export declare function setBranchAndCommitColor(columns: BranchPathType[][], branchColors: string[], commitsMap: Map<string, CommitNode>): void;
